summaryrefslogtreecommitdiff
path: root/regress/usr.bin
diff options
context:
space:
mode:
authorAnton Lindqvist <anton@cvs.openbsd.org>2023-10-25 08:02:00 +0000
committerAnton Lindqvist <anton@cvs.openbsd.org>2023-10-25 08:02:00 +0000
commitec78e67f563567925b22a707d2c5685642d03221 (patch)
treeb242e1cb08b82bd8d2300427716968d65c5a2c8e /regress/usr.bin
parent4b85055cb232f382b1b3f37612f31e4d2492fbc5 (diff)
ssh conch interop tests requires a controlling terminal; ok dtucker@
Diffstat (limited to 'regress/usr.bin')
-rw-r--r--regress/usr.bin/ssh/conch-ciphers.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/regress/usr.bin/ssh/conch-ciphers.sh b/regress/usr.bin/ssh/conch-ciphers.sh
index 006a281b61e..f4202584e8e 100644
--- a/regress/usr.bin/ssh/conch-ciphers.sh
+++ b/regress/usr.bin/ssh/conch-ciphers.sh
@@ -1,4 +1,4 @@
-# $OpenBSD: conch-ciphers.sh,v 1.5 2023/10/23 11:30:49 anton Exp $
+# $OpenBSD: conch-ciphers.sh,v 1.6 2023/10/25 08:01:59 anton Exp $
# Placed in the Public Domain.
tid="conch ciphers"
@@ -7,6 +7,10 @@ if test "x$REGRESS_INTEROP_CONCH" != "xyes" ; then
fatal "conch interop tests not enabled"
fi
+if ! [ -t 0 ]; then
+ skip "conch interop tests requires a controlling terminal"
+fi
+
start_sshd
for c in aes256-ctr aes256-cbc aes192-ctr aes192-cbc aes128-ctr aes128-cbc \